Skip to main content
GET
/
transactions
C#
using Gr4vy;
using Gr4vy.Models.Components;
using Gr4vy.Models.Requests;
using System;
using System.Collections.Generic;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

ListTransactionsRequest req = new ListTransactionsRequest() {
    Cursor = "ZXhhbXBsZTE",
    CreatedAtLte = System.DateTime.Parse("2022-01-01T12:00:00+08:00").ToUniversalTime(),
    CreatedAtGte = System.DateTime.Parse("2022-01-01T12:00:00+08:00").ToUniversalTime(),
    UpdatedAtLte = System.DateTime.Parse("2022-01-01T12:00:00+08:00").ToUniversalTime(),
    UpdatedAtGte = System.DateTime.Parse("2022-01-01T12:00:00+08:00").ToUniversalTime(),
    Search = "transaction-12345",
    BuyerExternalIdentifier = "buyer-12345",
    BuyerId = "fe26475d-ec3e-4884-9553-f7356683f7f9",
    BuyerEmailAddress = "john@example.com",
    IpAddress = "8.214.133.47",
    Status = new List<string>() {
        "authorization_succeeded",
    },
    Id = "7099948d-7286-47e4-aad8-b68f7eb44591",
    PaymentServiceTransactionId = "tx-12345",
    ExternalIdentifier = "transaction-12345",
    Metadata = new List<string>() {
        "{\"first_key\":\"first_value\",\"second_key\":\"second_value\"}",
    },
    AmountEq = 1299,
    AmountLte = 1299,
    AmountGte = 1299,
    Currency = new List<string>() {
        "USD",
    },
    Country = new List<string>() {
        "US",
    },
    PaymentServiceId = new List<string>() {
        "fffd152a-9532-4087-9a4f-de58754210f0",
    },
    PaymentMethodId = "ef9496d8-53a5-4aad-8ca2-00eb68334389",
    PaymentMethodLabel = "1234",
    PaymentMethodScheme = new List<string>() {
        "[",
        "\"",
        "v",
        "i",
        "s",
        "a",
        "\"",
        "]",
    },
    PaymentMethodCountry = "[\"US\"]",
    PaymentMethodFingerprint = "a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4",
    Method = new List<string>() {
        "card",
    },
    ErrorCode = new List<string>() {
        "insufficient_funds",
    },
    HasRefunds = true,
    PendingReview = true,
    CheckoutSessionId = "4137b1cf-39ac-42a8-bad6-1c680d5dab6b",
    ReconciliationId = "7jZXl4gBUNl0CnaLEnfXbt",
    HasGiftCardRedemptions = true,
    GiftCardId = "356d56e5-fe16-42ae-97ee-8d55d846ae2e",
    GiftCardLast4 = "7890",
    HasSettlements = true,
    PaymentMethodBin = "411111",
    PaymentSource = new List<string>() {
        "recurring",
    },
    IsSubsequentPayment = true,
    MerchantInitiated = true,
    Used3ds = true,
    BuyerSearch = new List<string>() {
        "J",
        "o",
        "h",
        "n",
    },
};

ListTransactionsResponse? res = await sdk.Transactions.ListAsync(req);

while(res != null)
{
    // handle items

    res = await res.Next!();
}
package main

import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"github.com/gr4vy/gr4vy-go/types"
"github.com/gr4vy/gr4vy-go/models/components"
"github.com/gr4vy/gr4vy-go/models/operations"
"log"
)

func main() {
ctx := context.Background()

s := gr4vygo.New(
gr4vygo.WithMerchantAccountID("default"),
gr4vygo.WithSecurity(os.Getenv("GR4VY_BEARER_AUTH")),
)

res, err := s.Transactions.List(ctx, operations.ListTransactionsRequest{
Cursor: gr4vygo.Pointer("ZXhhbXBsZTE"),
CreatedAtLte: types.MustNewTimeFromString("2022-01-01T12:00:00+08:00"),
CreatedAtGte: types.MustNewTimeFromString("2022-01-01T12:00:00+08:00"),
UpdatedAtLte: types.MustNewTimeFromString("2022-01-01T12:00:00+08:00"),
UpdatedAtGte: types.MustNewTimeFromString("2022-01-01T12:00:00+08:00"),
Search: gr4vygo.Pointer("transaction-12345"),
BuyerExternalIdentifier: gr4vygo.Pointer("buyer-12345"),
BuyerID: gr4vygo.Pointer("fe26475d-ec3e-4884-9553-f7356683f7f9"),
BuyerEmailAddress: gr4vygo.Pointer("john@example.com"),
IPAddress: gr4vygo.Pointer("8.214.133.47"),
Status: []components.TransactionStatus{
components.TransactionStatusAuthorizationSucceeded,
},
ID: gr4vygo.Pointer("7099948d-7286-47e4-aad8-b68f7eb44591"),
PaymentServiceTransactionID: gr4vygo.Pointer("tx-12345"),
ExternalIdentifier: gr4vygo.Pointer("transaction-12345"),
Metadata: []string{
"{\"first_key\":\"first_value\",\"second_key\":\"second_value\"}",
},
AmountEq: gr4vygo.Pointer[int64](1299),
AmountLte: gr4vygo.Pointer[int64](1299),
AmountGte: gr4vygo.Pointer[int64](1299),
Currency: []string{
"USD",
},
Country: []string{
"US",
},
PaymentServiceID: []string{
"fffd152a-9532-4087-9a4f-de58754210f0",
},
PaymentMethodID: gr4vygo.Pointer("ef9496d8-53a5-4aad-8ca2-00eb68334389"),
PaymentMethodLabel: gr4vygo.Pointer("1234"),
PaymentMethodScheme: []string{
"[",
"\"",
"v",
"i",
"s",
"a",
"\"",
"]",
},
PaymentMethodCountry: gr4vygo.Pointer("[\"US\"]"),
PaymentMethodFingerprint: gr4vygo.Pointer("a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4"),
Method: []components.Method{
components.MethodCard,
},
ErrorCode: []string{
"insufficient_funds",
},
HasRefunds: gr4vygo.Pointer(true),
PendingReview: gr4vygo.Pointer(true),
CheckoutSessionID: gr4vygo.Pointer("4137b1cf-39ac-42a8-bad6-1c680d5dab6b"),
ReconciliationID: gr4vygo.Pointer("7jZXl4gBUNl0CnaLEnfXbt"),
HasGiftCardRedemptions: gr4vygo.Pointer(true),
GiftCardID: gr4vygo.Pointer("356d56e5-fe16-42ae-97ee-8d55d846ae2e"),
GiftCardLast4: gr4vygo.Pointer("7890"),
HasSettlements: gr4vygo.Pointer(true),
PaymentMethodBin: gr4vygo.Pointer("411111"),
PaymentSource: []components.TransactionPaymentSource{
components.TransactionPaymentSourceRecurring,
},
IsSubsequentPayment: gr4vygo.Pointer(true),
MerchantInitiated: gr4vygo.Pointer(true),
Used3ds: gr4vygo.Pointer(true),
BuyerSearch: []string{
"J",
"o",
"h",
"n",
},
})
if err != nil {
log.Fatal(err)
}
if res != nil {
for {
// handle items

res, err = res.Next()

if err != nil {
// handle error
}

if res == nil {
break
}
}
}
}
package hello.world;

import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.components.*;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.ListTransactionsRequest;
import com.gr4vy.sdk.models.operations.ListTransactionsResponse;
import java.lang.Exception;
import java.time.OffsetDateTime;
import java.util.List;

public class Application {

public static void main(String[] args) throws Exception {

Gr4vy sdk = Gr4vy.builder()
.merchantAccountId("default")
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();

ListTransactionsRequest req = ListTransactionsRequest.builder()
.cursor("ZXhhbXBsZTE")
.createdAtLte(OffsetDateTime.parse("2022-01-01T12:00:00+08:00"))
.createdAtGte(OffsetDateTime.parse("2022-01-01T12:00:00+08:00"))
.updatedAtLte(OffsetDateTime.parse("2022-01-01T12:00:00+08:00"))
.updatedAtGte(OffsetDateTime.parse("2022-01-01T12:00:00+08:00"))
.search("transaction-12345")
.buyerExternalIdentifier("buyer-12345")
.buyerId("fe26475d-ec3e-4884-9553-f7356683f7f9")
.buyerEmailAddress("john@example.com")
.ipAddress("8.214.133.47")
.status(List.of(
TransactionStatus.AUTHORIZATION_SUCCEEDED))
.id("7099948d-7286-47e4-aad8-b68f7eb44591")
.paymentServiceTransactionId("tx-12345")
.externalIdentifier("transaction-12345")
.metadata(List.of(
"{\"first_key\":\"first_value\",\"second_key\":\"second_value\"}"))
.amountEq(1299L)
.amountLte(1299L)
.amountGte(1299L)
.currency(List.of(
"USD"))
.country(List.of(
"US"))
.paymentServiceId(List.of(
"fffd152a-9532-4087-9a4f-de58754210f0"))
.paymentMethodId("ef9496d8-53a5-4aad-8ca2-00eb68334389")
.paymentMethodLabel("1234")
.paymentMethodScheme(List.of(
"[",
"\"",
"v",
"i",
"s",
"a",
"\"",
"]"))
.paymentMethodCountry("[\"US\"]")
.paymentMethodFingerprint("a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4")
.method(List.of(
Method.CARD))
.errorCode(List.of(
"insufficient_funds"))
.hasRefunds(true)
.pendingReview(true)
.checkoutSessionId("4137b1cf-39ac-42a8-bad6-1c680d5dab6b")
.reconciliationId("7jZXl4gBUNl0CnaLEnfXbt")
.hasGiftCardRedemptions(true)
.giftCardId("356d56e5-fe16-42ae-97ee-8d55d846ae2e")
.giftCardLast4("7890")
.hasSettlements(true)
.paymentMethodBin("411111")
.paymentSource(List.of(
TransactionPaymentSource.RECURRING))
.isSubsequentPayment(true)
.merchantInitiated(true)
.used3ds(true)
.buyerSearch(List.of(
"J",
"o",
"h",
"n"))
.build();


sdk.transactions().list()
.callAsStream()
.forEach((ListTransactionsResponse item) -> {
// handle page
});

}
}
declare(strict_types=1);

require 'vendor/autoload.php';

use Gr4vy;
use Gr4vy\Utils;

$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();

$request = new Gr4vy\ListTransactionsRequest(
cursor: 'ZXhhbXBsZTE',
createdAtLte: Utils\Utils::parseDateTime('2022-01-01T12:00:00+08:00'),
createdAtGte: Utils\Utils::parseDateTime('2022-01-01T12:00:00+08:00'),
updatedAtLte: Utils\Utils::parseDateTime('2022-01-01T12:00:00+08:00'),
updatedAtGte: Utils\Utils::parseDateTime('2022-01-01T12:00:00+08:00'),
search: 'transaction-12345',
buyerExternalIdentifier: 'buyer-12345',
buyerId: 'fe26475d-ec3e-4884-9553-f7356683f7f9',
buyerEmailAddress: 'john@example.com',
ipAddress: '8.214.133.47',
status: [
'authorization_succeeded',
],
id: '7099948d-7286-47e4-aad8-b68f7eb44591',
paymentServiceTransactionId: 'tx-12345',
externalIdentifier: 'transaction-12345',
metadata: [
'{"first_key":"first_value","second_key":"second_value"}',
],
amountEq: 1299,
amountLte: 1299,
amountGte: 1299,
currency: [
'USD',
],
country: [
'US',
],
paymentServiceId: [
'fffd152a-9532-4087-9a4f-de58754210f0',
],
paymentMethodId: 'ef9496d8-53a5-4aad-8ca2-00eb68334389',
paymentMethodLabel: '1234',
paymentMethodScheme: [
'[',
'"',
'v',
'i',
's',
'a',
'"',
']',
],
paymentMethodCountry: '["US"]',
paymentMethodFingerprint: 'a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4',
method: [
'card',
],
errorCode: [
'insufficient_funds',
],
hasRefunds: true,
pendingReview: true,
checkoutSessionId: '4137b1cf-39ac-42a8-bad6-1c680d5dab6b',
reconciliationId: '7jZXl4gBUNl0CnaLEnfXbt',
hasGiftCardRedemptions: true,
giftCardId: '356d56e5-fe16-42ae-97ee-8d55d846ae2e',
giftCardLast4: '7890',
hasSettlements: true,
paymentMethodBin: '411111',
paymentSource: [
'recurring',
],
isSubsequentPayment: true,
merchantInitiated: true,
used3ds: true,
buyerSearch: [
'J',
'o',
'h',
'n',
],
);

$responses = $sdk->transactions->list(
request: $request
);


foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}
from gr4vy import Gr4vy
from gr4vy.utils import parse_datetime
import os


with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:

res = g_client.transactions.list(cursor="ZXhhbXBsZTE", limit=20, created_at_lte=parse_datetime("2022-01-01T12:00:00+08:00"), created_at_gte=parse_datetime("2022-01-01T12:00:00+08:00"), updated_at_lte=parse_datetime("2022-01-01T12:00:00+08:00"), updated_at_gte=parse_datetime("2022-01-01T12:00:00+08:00"), search="transaction-12345", buyer_external_identifier="buyer-12345", buyer_id="fe26475d-ec3e-4884-9553-f7356683f7f9", buyer_email_address="john@example.com", ip_address="8.214.133.47", status=[
"authorization_succeeded",
], id="7099948d-7286-47e4-aad8-b68f7eb44591", payment_service_transaction_id="tx-12345", external_identifier="transaction-12345", metadata=[
"{\"first_key\":\"first_value\",\"second_key\":\"second_value\"}",
], amount_eq=1299, amount_lte=1299, amount_gte=1299, currency=[
"USD",
], country=[
"US",
], payment_service_id=[
"fffd152a-9532-4087-9a4f-de58754210f0",
], payment_method_id="ef9496d8-53a5-4aad-8ca2-00eb68334389", payment_method_label="1234", payment_method_scheme=[
"[",
"\"",
"v",
"i",
"s",
"a",
"\"",
"]",
], payment_method_country="[\"US\"]", payment_method_fingerprint="a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4", method=[
"card",
], error_code=[
"insufficient_funds",
], has_refunds=True, pending_review=True, checkout_session_id="4137b1cf-39ac-42a8-bad6-1c680d5dab6b", reconciliation_id="7jZXl4gBUNl0CnaLEnfXbt", has_gift_card_redemptions=True, gift_card_id="356d56e5-fe16-42ae-97ee-8d55d846ae2e", gift_card_last4="7890", has_settlements=True, payment_method_bin="411111", payment_source=[
"recurring",
], is_subsequent_payment=True, merchant_initiated=True, used_3ds=True, buyer_search=[
"J",
"o",
"h",
"n",
])

while res is not None:
# Handle items

res = res.next()
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";

const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});

async function run() {
const result = await gr4vy.transactions.list();

for await (const page of result) {
console.log(page);
}
}

run();
curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/transactions \
--header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reconciliation_id": "<string>",
      "merchant_account_id": "<string>",
      "currency": "<string>",
      "amount": 123,
      "authorized_amount": 123,
      "captured_amount": 123,
      "refunded_amount": 123,
      "settled_amount": 123,
      "settled": true,
      "gift_card_redemptions": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "amount": 123,
          "refunded_amount": 123,
          "gift_card": {
            "bin": "<string>",
            "sub_bin": "<string>",
            "last4": "<string>",
            "type": "gift-card",
            "id": "356d56e5-fe16-42ae-97ee-8d55d846ae2e"
          },
          "type": "gift-card-redemption",
          "gift_card_service_redemption_id": "xYqd43gySMtori",
          "error_code": "expired_card",
          "raw_error_code": "10001",
          "raw_error_message": "Card expired"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "disputed": true,
      "type": "transaction",
      "settled_currency": "USD",
      "country": "US",
      "external_identifier": "transaction-12345",
      "payment_method": {
        "type": "payment-method",
        "approval_url": "https://gr4vy.app/redirect/12345",
        "country": "US",
        "currency": "USD",
        "details": {
          "bin": "<string>",
          "card_issuer_name": "<string>"
        },
        "expiration_date": "12/30",
        "fingerprint": "20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17",
        "label": "1234",
        "last_replaced_at": "2013-07-16T19:23:00.000+00:00",
        "mode": "card",
        "scheme": "visa",
        "id": "852b951c-d7ea-4c98-b09e-4a1c9e97c077",
        "approval_target": "any",
        "external_identifier": "card-12345",
        "payment_account_reference": "V0010014629724763377327521982"
      },
      "method": "card",
      "instrument_type": "pan",
      "error_code": "missing_redirect_url",
      "payment_service": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "payment_service_definition_id": "<string>",
        "display_name": "<string>",
        "type": "payment-service"
      },
      "pending_review": false,
      "buyer": {
        "type": "buyer",
        "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
        "display_name": "John Doe",
        "external_identifier": "buyer-12345",
        "billing_details": {
          "first_name": "John",
          "last_name": "Doe",
          "email_address": "john@example.com",
          "phone_number": "+1234567890",
          "address": {
            "city": "San Jose",
            "country": "US",
            "postal_code": "94560",
            "state": "California",
            "state_code": "US-CA",
            "house_number_or_name": "10",
            "line1": "Stafford Appartments",
            "line2": "29th Street",
            "organization": "Gr4vy"
          },
          "tax_id": {
            "value": "<string>"
          }
        },
        "account_number": "<string>"
      },
      "raw_response_code": "E104",
      "raw_response_description": "Missing redirect URL",
      "shipping_details": {
        "first_name": "John",
        "last_name": "Doe",
        "email_address": "john@example.com",
        "phone_number": "+1234567890",
        "address": {
          "city": "San Jose",
          "country": "US",
          "postal_code": "94560",
          "state": "California",
          "state_code": "US-CA",
          "house_number_or_name": "10",
          "line1": "Stafford Appartments",
          "line2": "29th Street",
          "organization": "Gr4vy"
        },
        "id": "bf8c36ad-02d9-4904-b0f9-a230b149e341",
        "buyer_id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
        "type": "shipping-details"
      },
      "checkout_session_id": "4137b1cf-39ac-42a8-bad6-1c680d5dab6b",
      "gift_card_service": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "display_name": "<string>",
        "type": "gift-card-service"
      }
    }
  ],
  "limit": 20,
  "next_cursor": "ZXhhbXBsZTE",
  "previous_cursor": "Xkjss7asS"
}
{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}
{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": [],
"resource_id": "cdc70639-cb9c-4222-a73f-b8ce39f7821b"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
This endpoint requires the transactions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Query Parameters

cursor
string | null

A pointer to the page of results to return.

Example:

"ZXhhbXBsZTE"

limit
integer
default:20

The maximum number of items that are at returned.

Required range: 1 <= x <= 100
Example:

20

created_at_lte
string<date-time> | null

Filters the results to only transactions created before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

created_at_gte
string<date-time> | null

Filters the results to only transactions created after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

updated_at_lte
string<date-time> | null

Filters the results to only transactions updated before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

updated_at_gte
string<date-time> | null

Filters the results to only transactions updated after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

search
string | null

Filters for transactions that have one of the following fields match exactly with the provided search value.

Example:

"transaction-12345"

buyer_external_identifier
string | null

Filters the results to only the items for which the buyer has an external_identifier that exactly matches this value.

Example:

"buyer-12345"

buyer_id
string<uuid> | null

Filters the results to only the items for which the buyer has an id that matches this value.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

buyer_email_address
string | null

Filters the results to only the items for which the buyer has an email_address that matches this value.

Example:

"john@example.com"

ip_address
string | null

Filters the results to only the transactions that were originated from the given ip_address.

Example:

"8.214.133.47"

status
enum<string>[] | null

Filters the results to only the transactions that have a status that matches with any of the provided status values.

Available options:
processing,
authorization_succeeded,
authorization_declined,
authorization_failed,
authorization_voided,
authorization_void_pending,
capture_succeeded,
capture_pending,
buyer_approval_pending
Example:

"authorization_succeeded"

id
string<uuid> | null

Filters for the transaction that has a matching id value.

Example:

"7099948d-7286-47e4-aad8-b68f7eb44591"

payment_service_transaction_id
string | null

Filters for transactions that have a matching payment_service_transaction_id value. The payment_service_transaction_id is the identifier of the transaction given by the payment service.

Example:

"tx-12345"

external_identifier
string | null

Filters the results to only the items for which the external_identifier matches this value.

Example:

"transaction-12345"

metadata
string[] | null

Filters for transactions where their metadata values contain all of the provided metadata keys. The value sent for metadata must be formatted as a JSON string, and all keys and values must be strings. This value should also be URL encoded.

Example:
[
{
"first_key": "first_value",
"second_key": "second_value"
}
]
amount_eq
integer | null

Filters for transactions that have an amount that is equal to the provided amount_eq value.

Required range: 0 <= x <= 2147483647
Example:

1299

amount_lte
integer | null

Filters for transactions that have an amount that is less than or equal to the amount_lte value.

Required range: 0 <= x <= 2147483647
Example:

1299

amount_gte
integer | null

Filters for transactions that have an amount that is greater than or equal to the amount_gte value.

Required range: 0 <= x <= 2147483647
Example:

1299

currency
string[] | null

Filters for transactions that have matching currency values. The currency values provided must be formatted as 3-letter ISO currency code.

Pattern: ^[A-Z]{3}$
Example:
["USD"]
country
string[] | null

Filters for transactions that have matching country values.

Example:
["US"]
payment_service_id
string<uuid>[] | null

Filters for transactions that were processed by the provided payment_service_id values.

Example:
["fffd152a-9532-4087-9a4f-de58754210f0"]
payment_method_id
string<uuid> | null

Filters for transactions that have a payment method with an ID that matches exactly with the provided value.

Example:

"ef9496d8-53a5-4aad-8ca2-00eb68334389"

payment_method_label
string | null

Filters for transactions that have a payment method with a label that matches exactly with the provided value.

Example:

"1234"

payment_method_scheme
string[] | null

Filters for transactions where the payment_method_scheme matches one of the provided values.

Example:
["visa"]
payment_method_country
string | null

Filters for transactions that have a payment method with a country that matches with the provided value.

Example:
["US"]
payment_method_fingerprint
string | null

Filters for transactions that have a payment method with a fingerprint that matches exactly with the provided value

Example:

"a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4"

method
enum<string>[] | null

Filters for transactions that have matching method values.

Available options:
abitab,
affirm,
afterpay,
alipay,
alipayhk,
applepay,
arcuspaynetwork,
bacs,
bancontact,
bank,
bcp,
becs,
bitpay,
blik,
ach,
boleto,
boost,
breb,
capitec,
card,
cashapp,
cashappafterpay,
chaseorbital,
clearpay,
click-to-pay,
custom_push,
custom_redirect,
custom_tokenize,
dana,
dcb,
dlocal,
ebanx,
eckoh,
efecty,
eps,
everydaypay,
gcash,
gem,
gemds,
gift-card,
giropay,
givingblock,
gocardless,
googlepay,
googlepay_pan_only,
gopay,
grabpay,
ideal,
interac,
kakaopay,
kcp,
khipu,
klarna,
konbini,
latitude,
latitudeds,
laybuy,
linepay,
linkaja,
maybankqrpay,
mercadopago,
multibanco,
multipago,
nequi,
netbanking,
network-token,
nupay,
oney_10x,
oney_12x,
oney_3x,
oney_4x,
oney_6x,
onlinebankingcz,
onelink,
ovo,
oxxo,
p24,
pagoefectivo,
paybybank,
payid,
paymaya,
paysquad,
paypal,
paypalpaylater,
paypay,
payto,
payvalida,
paze,
picpay,
pix,
plaid,
pse,
rabbitlinepay,
razorpay,
rapipago,
redpagos,
scalapay,
sepa,
servipag,
seveneleven,
shopeepay,
singteldash,
smartpay,
sofort,
spei,
stitch,
swish,
stripe,
stripedd,
stripetoken,
tapi,
tapifintechs,
thaiqr,
touchngo,
truemoney,
trustly,
trustlyeurope,
upi,
venmo,
vipps,
waave,
webpay,
wechat,
wero,
yape,
zippay
Example:

"card"

error_code
string[] | null

Filters for transactions where the error_code matches one for the provided values.

Example:
["insufficient_funds"]
has_refunds
boolean | null

Filters for transactions with refunds.

Example:

true

pending_review
boolean | null

Filters for transactions with a pending manual anti-fraud review.

Example:

true

checkout_session_id
string<uuid> | null

Filters for transactions where the checkout_session_id matches the provided value.

Example:

"4137b1cf-39ac-42a8-bad6-1c680d5dab6b"

payment_link_id
string<uuid> | null

Filters for transactions where the payment_link_id matches the provided value.

Example:

"a1b2c3d4-5678-90ab-cdef-1234567890ab"

reconciliation_id
string | null

Filters for transactions where the reconciliation_id matches the provided value.

Example:

"7jZXl4gBUNl0CnaLEnfXbt"

has_gift_card_redemptions
boolean | null

Filters for transactions with gift card redemptions.

Example:

true

gift_card_id
string<uuid> | null

Filters for transactions where a gift card used has an id that matches the provided value.

Example:

"356d56e5-fe16-42ae-97ee-8d55d846ae2e"

gift_card_last4
string | null

Filters for transactions that have at least one gift card redemption where the last 4 digits of its gift card number matches exactly with the provided value.

Required string length: 4
Example:

"7890"

has_settlements
boolean | null

Filters for transactions that have at least one associated settlement record.

Example:

true

payment_method_bin
string | null

Filter for transactions that have a card with a BIN that matches exactly with the provided value.

Example:

"411111"

payment_source
enum<string>[] | null

Filters the results to only the transactions that have a payment source that matches with any of the provided values.

The way payment method information made it to this transaction.

Available options:
ecommerce,
moto,
recurring,
installment,
card_on_file
Example:

"recurring"

is_subsequent_payment
boolean | null

Filters for transactions where the is_subsequent_payment matches the provided value.

Example:

true

merchant_initiated
boolean | null

Filters for transactions where the merchant_initiated matches the provided value.

Example:

true

used_3ds
boolean | null

Filters for transactions that attempted 3DS authentication or not.

Example:

true

disputed
boolean | null

Filters for transactions that have been disputed.

Example:

true

buyer_search
string[] | null

Filters the results to only get the items for which some of the buyer data contains exactly the provided buyer_search values.

Example:
["John", "London"]

Response

Successful Response

items
TransactionSummary · object[]
required

A list of items returned for this request.

limit
integer
default:20

The number of items for this page.

Required range: 1 <= x <= 100
Example:

20

next_cursor
string | null

The cursor pointing at the next page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor pointing at the previous page of items.

Required string length: 1 - 1000
Example:

"Xkjss7asS"